# --------------------------------------------------------

#
# Structure de la table `domains`
#

CREATE TABLE `domains` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `Name` (`Name`)
) AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Structure de la table `domains_messages`
#

CREATE TABLE `domains_messages` (
  `DomainID` int(11) NOT NULL default '0',
  `ConfigName` varchar(64) NOT NULL default '',
  `ConfigValue` text NOT NULL,
  PRIMARY KEY  (`DomainID`,`ConfigName`),
  FOREIGN KEY (`DomainID`) REFERENCES `domains`(`ID`)
);

# --------------------------------------------------------

#
# Structure de la table `domains_settings`
#

CREATE TABLE `domains_settings` (
  `DomainID` int(11) NOT NULL default '0',
  `ConfigName` varchar(64) NOT NULL default '',
  `ConfigValue` text NOT NULL,
  PRIMARY KEY  (`DomainID`,`ConfigName`),
  FOREIGN KEY (`DomainID`) REFERENCES `domains`(`ID`)
);

# --------------------------------------------------------

#
# Structure de la table `groups`
#

CREATE TABLE `groups` (
  `DomainID` int(11) NOT NULL default '0',
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `DomainID` (`DomainID`,`Name`),
  KEY `Name` (`Name`),
  FOREIGN KEY (`DomainID`) REFERENCES `domains`(`ID`)
) AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Structure de la table `groups_settings`
#

CREATE TABLE `groups_settings` (
  `GroupID` int(11) NOT NULL default '0',
  `ConfigName` varchar(64) NOT NULL default '',
  `ConfigValue` text NOT NULL,
  PRIMARY KEY  (`GroupID`,`ConfigName`),
  FOREIGN KEY (`GroupID`) REFERENCES `groups`(`ID`)
);

# --------------------------------------------------------

#
# Structure de la table `server_settings`
#

CREATE TABLE `server_settings` (
  `ConfigName` varchar(64) NOT NULL default '',
  `ConfigValue` text NOT NULL,
  PRIMARY KEY  (`ConfigName`)
);

# --------------------------------------------------------

#
# Structure de la table `users`
#

CREATE TABLE `users` (
  `DomainID` int(11) NOT NULL default '0',
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `DomainID` (`DomainID`,`Name`),
  KEY `Name` (`Name`),
  FOREIGN KEY (`DomainID`) REFERENCES `domains`(`ID`)
) AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Structure de la table `users_settings`
#

CREATE TABLE `users_settings` (
  `UserID` int(11) NOT NULL default '0',
  `ConfigName` varchar(64) NOT NULL default '',
  `ConfigValue` text NOT NULL,
  PRIMARY KEY  (`UserID`,`ConfigName`),
  FOREIGN KEY (`UserID`) REFERENCES `users`(`ID`)
);
