CREATE TABLE "domains" (
  id SERIAL NOT NULL,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE (name)
);

CREATE TABLE "domains_messages" (
  domainid integer NOT NULL default '0',
  configname varchar(64) NOT NULL default '',
  configvalue text NOT NULL,
  PRIMARY KEY  (domainid,configname),
  FOREIGN KEY (domainid) REFERENCES "domains"(id) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE "domains_settings" (
  domainid integer NOT NULL default '0',
  configname varchar(64) NOT NULL default '',
  configvalue text NOT NULL,
  PRIMARY KEY  (domainid,configname),
  FOREIGN KEY (domainid) REFERENCES "domains"(id) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE "groups" (
  domainid integer NOT NULL default '0',
  id SERIAL NOT NULL,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE (domainid,name),
  FOREIGN KEY (domainid) REFERENCES "domains"(id) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE "groups_settings" (
  groupid integer NOT NULL default '0',
  configname varchar(64) NOT NULL default '',
  configvalue text NOT NULL,
  PRIMARY KEY  (groupid,configname),
  FOREIGN KEY (groupid) REFERENCES "groups"(id) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE "server_settings" (
  configname varchar(64) NOT NULL default '',
  configvalue text NOT NULL,
  PRIMARY KEY  (configname)
);


CREATE TABLE "users" (
  domainid integer NOT NULL default '0',
  id SERIAL NOT NULL,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE (domainid,name),
  FOREIGN KEY (domainid) REFERENCES "domains"(id) ON DELETE CASCADE ON UPDATE CASCADE
);


CREATE TABLE "users_settings" (
  userid integer NOT NULL default '0',
  configname varchar(64) NOT NULL default '',
  configvalue text NOT NULL,
  PRIMARY KEY  (userid,configname),
  FOREIGN KEY (userid) REFERENCES "users"(id) ON DELETE CASCADE ON UPDATE CASCADE
);

